# insights
# insights
PrioritiesCharts:
  title: "Priorities"
  charts:
    - title: "Priorities"
      description: "Open issues with priority"
      type: bar
      query:
        data_source: issuables
        params:
          issuable_type: issue
          issuable_state: opened
          #filter_labels:
          #  - bug
          collection_labels:
            - "priority::1"
            - "priority::2"
            - "priority::3"
            - "priority::4"
          #group_by: month
    - title: "Monthly Priorities"
      description: "Open issues with priority"
      type: stacked-bar
      query:
        data_source: issuables
        params:
          issuable_type: issue
          issuable_state: opened
          #filter_labels:
          #  - bug
          collection_labels:
            - "priority::1"
            - "priority::2"
            - "priority::3"
            - "priority::4"
          group_by: month
    - title: "Weekly Priorities"
      description: "Open Priorities created per week"
      type: stacked-bar
      query:
        data_source: issuables
        params:
          issuable_type: issue
          issuable_state: opened
          #filter_labels:
          #  - bug
          collection_labels:
            - "priority::1"
            - "priority::2"
            - "priority::3"
            - "priority::4"
          group_by: week

TasksCharts:
  title: "Tasks"
  charts:

    - title: "Tasks"
      description: "Tasks per type"
      type: bar
      query:
        data_source: issuables
        params:
          issuable_type: issue
          issuable_state: opened
          filter_labels:
            - task
          collection_labels:
            - "project management"
            - "analysis"
            - "design"
            - "development"
            - "test & release"


    - title: "Weekly Tasks"
      description: "Tasks per type"
      type: stacked-bar
      query:
        data_source: issuables
        params:
          issuable_type: issue
          issuable_state: opened
          filter_labels:
            - task
          collection_labels:
            - "project management"
            - "analysis"
            - "design"
            - "development"
            - "test & release"
          group_by: week
